r5449 - in trunk/BOOK: . introduction/welcome xsoft/office

andy at linuxfromscratch.org andy at linuxfromscratch.org
Mon Dec 19 02:29:44 PST 2005


Author: andy
Date: 2005-12-19 03:29:43 -0700 (Mon, 19 Dec 2005)
New Revision: 5449

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/introduction/welcome/changelog.xml
   trunk/BOOK/xsoft/office/gnumeric.xml
Log:
Updated Gnumeric to 1.6.1


Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2005-12-19 02:04:23 UTC (rev 5448)
+++ trunk/BOOK/general.ent	2005-12-19 10:29:43 UTC (rev 5449)
@@ -463,7 +463,7 @@
 <!-- Part X -->
 <!-- Chapter 33 -->
 <!ENTITY AbiWord-version              "2.4.1">
-<!ENTITY gnumeric-version             "1.4.3">
+<!ENTITY gnumeric-version             "1.6.1">
 <!ENTITY gnucash-version              "1.8.11">
 <!ENTITY gimp-version                 "2.2.8">
 <!ENTITY evolution-version            "2.4.1">

Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2005-12-19 02:04:23 UTC (rev 5448)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2005-12-19 10:29:43 UTC (rev 5449)
@@ -58,6 +58,9 @@
         <listitem>
           <para>[randy] - Updated to Samba-3.0.20b.</para>
         </listitem>
+        <listitem>
+          <para>[andy] - Updated to Gnumeric-1.6.1.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
 

Modified: trunk/BOOK/xsoft/office/gnumeric.xml
===================================================================
--- trunk/BOOK/xsoft/office/gnumeric.xml	2005-12-19 02:04:23 UTC (rev 5448)
+++ trunk/BOOK/xsoft/office/gnumeric.xml	2005-12-19 10:29:43 UTC (rev 5449)
@@ -4,12 +4,12 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!ENTITY gnumeric-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnumeric/1.4/gnumeric-&gnumeric-version;.tar.bz2">
-  <!ENTITY gnumeric-download-ftp  "ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric/1.4/gnumeric-&gnumeric-version;.tar.bz2">
-  <!ENTITY gnumeric-md5sum        "b684eec48b1696d7a8d7152d1e17741c">
-  <!ENTITY gnumeric-size          "13.7 MB">
-  <!ENTITY gnumeric-buildsize     "223 MB">
-  <!ENTITY gnumeric-time          "2.5 SBU">
+  <!ENTITY gnumeric-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnumeric/1.6/gnumeric-&gnumeric-version;.tar.bz2">
+  <!ENTITY gnumeric-download-ftp  "ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric/1.6/gnumeric-&gnumeric-version;.tar.bz2">
+  <!ENTITY gnumeric-md5sum        "e6f769e4e74c29ffea0305d48691fe28">
+  <!ENTITY gnumeric-size          "11.9 MB">
+  <!ENTITY gnumeric-buildsize     "178 MB">
+  <!ENTITY gnumeric-time          "2.0 SBU">
 ]>
 
 <sect1 id="gnumeric" xreflabel="Gnumeric-&gnumeric-version;">
@@ -58,24 +58,18 @@
       </listitem>
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Required patch: <ulink
-        url="&patch-root;/gnumeric-&gnumeric-version;-libgsf-1.patch"/></para>
-      </listitem>
-    </itemizedlist>
-
     <bridgehead renderas="sect3">Gnumeric Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="libgnomeprintui"/> and
-    <xref linkend="libgsf"/></para>
+    <para role="required"><xref linkend="libgnomeprintui"/>,
+    <xref linkend="libgsf"/> and
+    <ulink url="http://ftp.gnome.org/pub/gnome/sources/goffice/0.1/">goffice</ulink></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="libgnomeui"/>,
-    <xref linkend="python"/>,
+    <para role="optional"><xref linkend="python"/>,
     <ulink url="http://www.pygtk.org/">PyGTK</ulink>,
+    <xref linkend="libgnomeui"/>, <xref linkend="gnome-doc-utils"/> (to
+    convert the help documentation into html),
     <ulink url="http://www.gnome-db.org/download.php">libgnomedb</ulink>
     (requires <ulink url="http://www.gnome-db.org/download.php">libgda</ulink>),
     <ulink url="http://pxlib.sourceforge.net/">pxlib</ulink> and
@@ -95,9 +89,7 @@
     <para>Install <application>Gnumeric</application> by running the following
     commands:</para>
 
-<screen><userinput>sed -i 's/perl_msg=no/perl_msg="yes"/' configure &&
-patch -Np1 -i ../gnumeric-&gnumeric-version;-libgsf-1.patch &&
-./configure --prefix=/usr --without-gnome \
+<screen><userinput>./configure --prefix=/usr
     --localstatedir=/var/lib --sysconfdir=/etc/gnome &&
 make</userinput></screen>
 
@@ -107,44 +99,39 @@
 
 <screen role='root'><userinput>make install</userinput></screen>
 
-    <para>If desired, install the developer documentation using the
-    following commands:</para>
+    <para>If you have <xref linkend="gnome-doc-utils"/> installed you can convert the xml
+    help files into html with the command:</para>
 
-<screen role='root'><userinput>install -v -m755 -d /usr/share/doc/gnumeric-&gnumeric-version; &&
-install -v -m644 doc/developer/* /usr/share/doc/gnumeric-&gnumeric-version; &&
-rm -v /usr/share/doc/gnumeric-&gnumeric-version;/Makefile*</userinput></screen>
+<screen><userinput>make -C doc html</userinput></screen>
 
+    <para>Now, as the <systemitem class="username">root</systemitem> user, install
+    it in /usr/share/doc:</para>
+
+<screen role='root'><userinput>mkdir /usr/share/doc/gnumeric-&gnumeric-version;
+cp doc/C/html/* /usr/share/doc/gnumeric-&gnumeric-version;</userinput></screen>
+
   </sect2>
 
   <sect2 role="commands">
     <title>Command Explanations</title>
 
-    <para><command>sed -i 's/perl_msg=no/perl_msg="yes"/' configure</command>:
-    A default LFS installation includes the <application>Perl</application>
-    package and the <application>Perl</application> discovery used by the
-    <command>configure</command> script does not work properly. This command
-    changes the default to build the <application>Perl</application> plugin
-    module.</para>
-
-    <para><parameter>--without-gnome</parameter>: This switch prevents the
-    build from looking for the <application>GNOME</application> session
-    related components. Remove this switch if you have a
-    <application>GNOME</application> desktop or even just
-    <xref linkend="libgnomeui"/> installed.</para>
-
     <para><parameter>--localstatedir=/var/lib</parameter>: This switch puts
     <application>ScrollKeeper</application> files in
     <filename class="directory">/var/lib/scrollkeeper</filename> instead of
-    <filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>. This
+    <filename class="directory">/usr/var/scrollkeeper</filename>. This
     switch may not be applicable if you don't have <xref linkend="yelp"/>
     installed, but won't affect the build otherwise.</para>
 
     <para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
     configuration files in <filename class="directory">/etc/gnome</filename>
-    instead of <filename class="directory">$GNOME_PREFIX/etc</filename>. This
+    instead of <filename class="directory">/usr/etc</filename>. This
     switch may not be applicable if you don't have <xref linkend="GConf"/>
     installed, but won't affect the build otherwise.</para>
 
+    <para><parameter>make -C doc html</parameter>: This command runs make in the
+    <filename class="directory">doc</filename> directory with html as the
+    <filename>Makefile</filename> target.</para>
+
   </sect2>
 
   <sect2 role="content">
@@ -175,7 +162,7 @@
       <varlistentry id="gnumeric-prog">
         <term><command>gnumeric</command></term>
         <listitem>
-          <para>is a symlink to <command>gnumeric-1.4.1</command></para>
+          <para>is a symlink to <command>gnumeric-&gnumeric-version;</command></para>
           <indexterm zone="gnumeric gnumeric-prog">
             <primary sortas="g-gnumeric">gnumeric</primary>
           </indexterm>
@@ -183,12 +170,12 @@
       </varlistentry>
 
       <varlistentry id="gnumeric-1">
-        <term><command>gnumeric-1.4.1</command></term>
+        <term><command>gnumeric-&gnumeric-version;</command></term>
         <listitem>
           <para>is <application>GNOME</application>'s spreadsheet
           application.</para>
           <indexterm zone="gnumeric gnumeric-1">
-            <primary sortas="b-gnumeric-1.4.1">gnumeric-1.4.1</primary>
+            <primary sortas="b-gnumeric-&gnumeric-version;">gnumeric-&gnumeric-version;</primary>
           </indexterm>
         </listitem>
       </varlistentry>




More information about the blfs-book mailing list